%define compat_version 3.0
%define compat_version2 2.0

Summary: The skeleton package defining packages needed for LSB compliance
Name: lsb
Version: 3.1
Release: %mkrel 15
License: GPL
Group: System/Base
URL: http://www.linuxbase.org
Source0: lsb-test-scripts-0.10.tar.bz2
Source2: tmpdirlsb.sh
Source4: waivers.txt
Source5: install_initd
Source6: remove_initd

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Exclusivearch: %{ix86} ppc x86_64

%define lsb_arch ia32
%ifarch x86_64
%define lsb_arch amd64
%endif
%ifarch ppc
%define lsb_arch ppc32
%endif

Requires: lsb-core
# former lsb-cxx
Requires: libstdc++6
# former lsb-graphics
Requires: libx11 libxext libxi libxt
# package doesn't provide anything arch neutral
Requires: %mklibname mesagl 1

# former lsb-desktop
Requires: libxml2 libgtk+2 libpng
Requires: qt3-common

Provides: lsb-noarch = %{version} 
Provides: lsb-%{lsb_arch} = %{version} 

Provides: lsb-noarch = %{compat_version}
Provides: lsb-%{lsb_arch} = %{compat_version} 
Provides: lsb-cxx-noarch = %{compat_version}
Provides: lsb-cxx-%{lsb_arch} = %{compat_version}
Provides: lsb-graphics-noarch = %{compat_version}
Provides: lsb-graphics-%{lsb_arch} = %{compat_version}

Conflicts: lsb-release < 2.0-2mdk

Provides: lsb-cxx
Obsoletes: lsb-cxx
Provides: lsb-graphics
Obsoletes: lsb-graphics
Provides: lsb-desktop
Obsoletes: lsb-desktop

%description
The skeleton package defining packages needed for LSB compliance.
Note: To successfuly run the runtime test suites, install lsb-test.

%package core
Summary: Core requirements needed for LSB compliance
Group: System/Base

Requires: pax lsb-release make sendmail-command ed glibc_lsb
Requires: binutils bc nail at m4 patch
Requires: vim-enhanced diffutils file gettext chkconfig
Requires: mtools /etc/sgml
Requires(pre):		rpm-helper
Requires(postun):	rpm-helper

Provides: lsb-core-noarch = %{version} 
Provides: lsb-core-%{lsb_arch} = %{version} 
Provides: lsb-core-noarch = %{compat_version}
Provides: lsb-core-%{lsb_arch} = %{compat_version} 

%description core
The core requirements for LSB compliance.

%package qt4
Summary: Requirements needed for optional LSB-qt4 compliance
Group: System/X11

Requires: lsb
Requires: qt4-common >= 4.1.1
Requires: qtdesignerlib >= 4.1.1 
Requires: qtopengllib >= 4.1.1
Requires: qtsvglib >= 4.1.1
%if 0
# shouldn't need these - above requires them
Requires: libqtsql4 
Requires: libqtcore4 libqtxml4 libqtgui4 
Requires: libqtnetwork4 libqt3support4 
# end shouldn't need
%endif
Provides: lsb-qt4-noarch = %{version}
Provides: lsb-qt4-%{lsb_arch} = %{version}
Provides: lsb-desktop-qt4
Obsoletes: lsb-desktop-qt4

%description qt4
This package adds the requirements for LSB-desktop-qt4 compliance.
This package is required for the optional lsb-test-desktop-qt4.

%package test
Summary: Requirements needed to successfully run the LSB runtime tests
Group: System/Base

Requires: lsb
Requires: perl-DBI glibc-i18ndata python
Requires: locales-de locales-en locales-es locales-fr locales-it
Requires: x11-server-xvfb xorg-x11-100dpi-fonts xorg-x11-75dpi-fonts
Requires: xlsfonts gcc rgb

%description test
This packages pulls in additional packages not specified by LSB, but
required to successfully run the LSB runtime tests.

%prep
%setup -q

%install
cat << EOF > README.urpmi
To run the LSB binary test suite, download the latest version from
ftp://ftp.freestandards.org/pub/lsb/test_suites/released/binary/runtime/
and install the rpms.
 
For lsb-runtime-test, log in as user vsx0 and use the command 'run_tests'.
The other tests give instructions in the %%post output at package install.

Note1: When prompted for the 'Block special filename' in the test
       interview, use /home/tet/test_sets/nonexistb, rather than
       /dev/sda. 
Note2: Additionally, if you have partitions containing /tmp or /home
       that are mounted with 'noatime', this option should be changed
       to 'atime' or you will see additional test failures.
Note3: You should also note that using the fstab option 'acl' for
       Posix ACLs will generate 1 test failure.  This is not enabled
       by default.
EOF

rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -d $RPM_BUILD_ROOT/%{_datadir}/nls
install -d $RPM_BUILD_ROOT/%{_datadir}/tmac
install -d $RPM_BUILD_ROOT/var/cache/fonts
install -d $RPM_BUILD_ROOT/var/games
install -d $RPM_BUILD_ROOT/sbin
install -d $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT/lib/%{name}
install -d $RPM_BUILD_ROOT%{_prefix}/lib/%{name}
install -d $RPM_BUILD_ROOT/srv
install -d $RPM_BUILD_ROOT%{_sysconfdir}/opt
install -d $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 755 %SOURCE2 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 755 lsb-runtime-test $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 755 lsb-test-vsw4 $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 755 lsb-test-xts5 $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 755 lsb-test-lsbcmdchk $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 755 lsb-test-lsblibchk $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 755 qmtest_libstdcpp $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 644 common-functions $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 644 %SOURCE4 $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 755 %SOURCE5 $RPM_BUILD_ROOT%{_prefix}/lib/%{name}
install -m 755 %SOURCE6 $RPM_BUILD_ROOT%{_prefix}/lib/%{name}

# lsb-%{version}-foo is in lsb-release
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/lsb-%{compat_version}-%{lsb_arch}
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/lsb-%{compat_version}-noarch
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/core-%{version}-%{lsb_arch}
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/core-%{version}-noarch
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/core-%{compat_version}-%{lsb_arch}
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/core-%{compat_version}-noarch
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/cxx-%{compat_version}-%{lsb_arch}
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/cxx-%{compat_version}-noarch
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/graphics-%{compat_version}-%{lsb_arch}
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/graphics-%{compat_version}-noarch
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/qt4-%{version}-%{lsb_arch}
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/qt4-%{version}-noarch

cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/root-ulimit.sh
#!/bin/sh
# enable a nonzero core file value for root (exec_A test issues)
[ "\$UID" = "0" ] && ulimit -c 1000 > /dev/null 2>&1
EOF

cat << EOF > $RPM_BUILD_ROOT%{_bindir}/lsbinstall
#!/bin/sh
exit 0
EOF

cat << EOF > $RPM_BUILD_ROOT/sbin/fasthalt
#!/bin/sh
#start fasthalt
/sbin/halt -f
#end fasthalt
EOF

cat << EOF > $RPM_BUILD_ROOT/sbin/fastboot
#!/bin/sh
#start fastboot
/sbin/reboot -f
#end fastboot
EOF

cat << EOF > $RPM_BUILD_ROOT/etc/hosts.equiv
# Sample hosts.equiv file for LSB compliance
# see man hosts.equiv for usage.
EOF

cat << EOF > $RPM_BUILD_ROOT/etc/hosts.lpd
#
# hosts.lpd     This file describes the names of the hosts which are
#               allowed to use the remote printer services of this
#               host.  This file is used by the LPD subsystem.
#		Added for LSB compiance.
EOF

cat << EOF > $RPM_BUILD_ROOT/etc/gateways
# sample gateways file for LSB compliance. Database of gateways
# used by routed. Sample format shown below.
# [ net | host ] name1 gateway name2 metric value [ passive | active | external ]
EOF

chmod 0755 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/root-ulimit.sh
chmod 0755 $RPM_BUILD_ROOT%{_bindir}/lsbinstall
chmod 0755 $RPM_BUILD_ROOT/sbin/fastboot
chmod 0755 $RPM_BUILD_ROOT/sbin/fasthalt
chmod 0644 $RPM_BUILD_ROOT/etc/hosts.equiv
chmod 0644 $RPM_BUILD_ROOT/etc/hosts.lpd
chmod 0644 $RPM_BUILD_ROOT/etc/gateways

# (sb) concession for lsb-apache to run
%pre core
%_pre_groupadd nobody

%postun core
%_postun_groupdel nobody

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/lsb-release.d/lsb-%{compat_version}-noarch
%config(noreplace) %{_sysconfdir}/lsb-release.d/lsb-%{compat_version}-%{lsb_arch}
%config(noreplace) %{_sysconfdir}/lsb-release.d/cxx-%{compat_version}-noarch
%config(noreplace) %{_sysconfdir}/lsb-release.d/cxx-%{compat_version}-%{lsb_arch}
%config(noreplace) %{_sysconfdir}/lsb-release.d/graphics-%{compat_version}-noarch
%config(noreplace) %{_sysconfdir}/lsb-release.d/graphics-%{compat_version}-%{lsb_arch}

%files core
%defattr(-, root, root)
%{_datadir}/nls
%{_datadir}/tmac
/var/cache/fonts
/var/games
/sbin/fasthalt
/sbin/fastboot
%{_bindir}/lsbinstall
%dir %{_sysconfdir}/opt
%dir /srv
%dir /lib/%{name}
%dir %{_prefix}/lib/%{name}
%{_prefix}/lib/%{name}/install_initd
%{_prefix}/lib/%{name}/remove_initd
%config(noreplace) %{_sysconfdir}/hosts.equiv
%config(noreplace) %{_sysconfdir}/hosts.lpd
%config(noreplace) %{_sysconfdir}/gateways
%config(noreplace) %{_sysconfdir}/lsb-release.d/core-%{version}-noarch
%config(noreplace) %{_sysconfdir}/lsb-release.d/core-%{version}-%{lsb_arch}
%config(noreplace) %{_sysconfdir}/lsb-release.d/core-%{compat_version}-noarch
%config(noreplace) %{_sysconfdir}/lsb-release.d/core-%{compat_version}-%{lsb_arch}

%files test
%defattr(-, root, root)
%doc README.test-scripts README.urpmi
%config(noreplace) %{_sysconfdir}/profile.d/tmpdirlsb.sh
%config(noreplace) %{_sysconfdir}/profile.d/root-ulimit.sh
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/common-functions
%{_datadir}/%{name}/lsb-runtime-test
%{_datadir}/%{name}/lsb-test-lsbcmdchk
%{_datadir}/%{name}/lsb-test-lsblibchk
%{_datadir}/%{name}/qmtest_libstdcpp
%{_datadir}/%{name}/lsb-test-vsw4
%{_datadir}/%{name}/lsb-test-xts5
%{_datadir}/%{name}/waivers.txt

%files qt4
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/lsb-release.d/qt4-%{version}-noarch
%config(noreplace) %{_sysconfdir}/lsb-release.d/qt4-%{version}-%{lsb_arch}




%changelog
* Thu Jan 17 2008 Olivier Blin <oblin@mandriva.com> 3.1-15mdv2008.1
+ Revision: 154077
- remove /etc/networks, it is now in the initscripts package
- restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 3.1-14mdv2008.1
+ Revision: 129493
- kill re-definition of %%buildroot on Pixel's request


* Fri Mar 09 2007 Stew Benedict <sbenedict@mandriva.com> 3.1-14mdv2007.1
+ Revision: 138766
- oops, need to escape the "$" in creating ulimit scriptlet

* Thu Mar 08 2007 Stew Benedict <sbenedict@mandriva.com> 3.1-13mdv2007.1
+ Revision: 134910
- Work around core size file limit of 0 introduced in setup package
- Drop tjreport in favor of the one packaged in test suites

* Tue Mar 06 2007 Laurent Montel <lmontel@mandriva.com> 3.1-12mdv2007.1
+ Revision: 133697
- Fix requires on x86_64

* Thu Dec 28 2006 Olivier Blin <oblin@mandriva.com> 3.1-11mdv2007.1
+ Revision: 102414
- remove lsb-init-functions from spec
- move lsb-init-functions in initscripts package

* Fri Dec 22 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-10mdv2007.1
+ Revision: 101420
- use %%mklibname for mesagl requires (Anssi Hannula), csh is optional
- add known libX11.so.6 issues to libchk waivers

* Wed Dec 20 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-9mdv2007.1
+ Revision: 100803
- lost libmesagl when xorg was split

* Tue Dec 05 2006 Pixel <pixel@mandriva.com> 3.1-8mdv2007.1
+ Revision: 91265
- /media is now in pkg "filesystem"
- Import lsb

* Fri Jun 02 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-7mdv2007.0
- more requires uncovered in Corp4 beta

* Wed May 24 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-6mdk
- align requires with new X build
- full path to urpmi in common-functions (S0)

* Wed Apr 12 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-5mdk
- -T for core/desktop no longer exists in lsblibchk, lsbcmdchk
- drop warnings about nsswitch.conf

* Sat Apr 01 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-4mdk
- do away with cxx, graphics, desktop packages
- desktop-qt4->qt4
- 3.1 now wants to report just lsb-ver-foo and core-ver-foo
- 3.0 (compat) reports lsb-ver-foo, core-ver-foo, cxx-ver-foo, graphics-ver-foo

* Fri Mar 31 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-3mdk
- core needs to identify as 3.1 also

* Thu Mar 30 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-2mdk
- re-organize again:
  - restore plain lsb, add lsb-cxx
  - lsb requires desktop and below
  - add missing compat_version files for lsb-graphics

* Tue Mar 21 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-1mdk
- 3.1
- add desktop-qt4
- s/2.0/3.0/ compat (we could bring it back with Requires: libstdc++.so.5)
- update libchk and cmdchk autotest scripts to run both core and desktop

* Tue Mar 14 2006 Stew Benedict <sbenedict@mandriva.com> 3.0-12mdk
- use stronger vsx0 passwd in test scripts - was triggering pam failures

* Fri Mar 03 2006 Stew Benedict <sbenedict@mandriva.com> 3.0-11mdk
- add -test and breakout the test specific requires to this subpackage
- move all the "gotcha" notes to README.urpmi in -test

* Thu Mar 02 2006 Stew Benedict <sbenedict@mandriva.com> 3.0-10mdk
- LSB-desktop Requires

* Tue Feb 21 2006 Stew Benedict <sbenedict@mandriva.com> 3.0-9mdk
- split into -core, -graphics, -desktop
- have the test scripts install the appropriate sub-packages
- move some things from lsb-release over to these packages

* Mon Dec 19 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-8mdk
- add lsb-test-xts5 test script
- let common-functions deal with pre-defined $TVERSION

* Fri Nov 11 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-7mdk
- fix/update waivers file

* Thu Aug 04 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-6mdk
- rework automated testing for released LSB-3.0 tests
  - lsb-test-pam no longer used - drop
  - rework lsb-runtime-test
  - rework lsb-test-vsw4
  - add lsb-cmdchk
  - update waivers file
  - rework common-functions
  - rework qmtest_libstdcpp
- some changes to make rpmlint happier

* Sat Jul 02 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-5mdk
- requires s/smtpdaemon/sendmail-command/

* Fri Jun 03 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-4mdk
- requires bc, nail(POSIX compatible mailx, per lsb-cmdchk)
- provide placeholder lsbinstall (still being debated in lsb group)
- requires libstd++.so.6 for LSB3

* Wed May 18 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-3mdk
- re-fix provides on x86_64

* Sat Apr 30 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-2mdk
- try to make LSB2/3 compatible

* Sat Apr 23 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-1mdk
- LSB3.0
- fix install_initd, remove_initd, provides (Mats Wichmann)

* Wed Feb 16 2005 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-15mdk
- adapt test scripts to filter out TSDs from added waiver file
- move common code from test scripts to common-functions (new source0)
- minor patch to tjreport "excluding waived" output (LSB Bugzilla 698)

* Fri Feb 04 2005 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-14mdk
- add test scripts and a README for usage

* Thu Jan 06 2005 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-13mdk
- requires binutils for libstdcpp tests

* Tue Dec 28 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-12mdk
- add tjreport to facilitate automated testing

* Sat Oct 23 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0-11mdk
- rebuild on x86_64

* Sun Oct 10 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-10mdk
- drop libc-extras requires

* Tue Sep 28 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-9mdk
- drop lpddaemon, expect requires

* Tue Sep 21 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-8mdk
- drop nscd requires

* Sun Sep 05 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-7mdk
- remove libxorg-x11-devel requires

* Wed Aug 25 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-6mdk
- add requires for vsw4 tests

* Tue Aug 24 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-5mdk
- locales requires for C++ tests, requires nscd, warning about modprobe loop
i

* Tue Jul 27 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-4mdk
- caveats change with switch from devfs -> udev, drop TMPDIR warning

* Tue Jul 27 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-3mdk
- change provides yet again

* Sat Jul 17 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-2mdk
- change provides to agree with what app-batt expects

* Tue Jun 22 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-1mdk
- LSB2.0 - new requires, provides
- drop groupdel caveat - fixed in test-suite

* Tue Mar 09 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.3-10mdk
- fix issue with init-functions (Bugzilla #9718)

* Tue Mar 09 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.3-9mdk
- add /etc/opt, change some dirs to macros
- insure TMPDIR is unset for vsx0

